Subject: Re: [AVT] The interworking issue for RTP Payload Format for AMR

From: Xie Lei <[email-masked]>
Date: Sat, 30 Oct 2010 18:05:43 +0800

Hi
Are there any comments for this interworking issue? I hope any RFC4867 experts could give me some suggestions. Thanks. 

BR
Rock

  ----- Original Message ----- 
  From: Xie Lei 
  To: Roni Even ; [email-masked] 
  Sent: Tuesday, October 26, 2010 2:04 PM
  Subject: Re: [AVT]The interworking issue for RTP Payload Format for AMR

  Hi
  Yes, the TRAU can only take either CMR or CMI, and in GSM network, TRAU frame sequence must strictly be one CMR frame following with one CMI frame , however, RFC4867 allows take both CMR and CMI one packet and there is no indication to indentify the packet is CMR frame or not, that makes the problem.

  BR
  Rock
    ----- Original Message ----- 
    From: Roni Even 
    To: [email-masked] 
    Cc: 'Xie Lei' 
    Sent: Tuesday, October 26, 2010 1:12 PM
    Subject: FW: [AVT]The interworking issue for RTP Payload Format for AMR

    Hi,

    I assume that the problem is because in TRAU you can send either CMR or CMI while RFC4867 allows both in the same packet. Is this correct?

    Roni Even

    From: Xie Lei [mailto:[email-masked]] 
    Sent: Monday, October 25, 2010 9:14 AM
    To: [email-masked]
    Cc: [email-masked]; 'Roni Even'
    Subject: [AVT]The interworking issue for RTP Payload Format for AMR

    Hello All

    I work on one interworking task between AMR RTP Payload and TRAU frame in TDM network, and find it is very difficult to map the Codec_Mode_Request(CMR) value in RTP to Request or Indication Flag (RIF) in TRAU frame which is defined in 3GPP 48.060/48.061. 

    As defined in RFC4867, RTP frame can take CMR and CMI(FT field) both in payload and the codec mode change period could be 20ms. However,TRAU speech frame can only take one of CMR or CMI, and the RIF should follow rigorous mode change peroid, that means, TRAU speech frame could only take CMR every 40ms and between each CMR frame, the TRAU speech frame must be CMI frame. 

    The issue happens when two consequent RTP payload takeing valide CMR value in each payload, at this scenario, we do not know how to set the RIF value. For instance, the first RTP payload takes CMR=4, and we map this CMR value to RIF flag to indicate the TRAU speech frame is for CMR, and the second RTP payload comes with CMR=1, then we really do not know how to do now. according to the RTP payload CMR valude, we should indicate RIF as CMR. However, according to the TRAU frame definition, the RIF must be CMI which following with last CMR frame.

    RFC4867 has some decription on reqirements for encoder in GSM. However, it is not enough, i think there needs some description on how to map CMR and CMI value in RTP frame to RIF defined TRAU when interworking between IP and TDM network. currentlly , we can not find such mapping table in any specification. We hope avt groud could work on this and resolve this issue.

    Best Regards

    Rock